"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils_1 = require("../../utils");
const endpoint_1 = require("../../domains/add/endpoint");
const helpers_1 = require("../../domains/add/endpoint/helpers");
class AddEndpoint extends core_1.Command {
    async run() {
        const { args } = await this.parse(AddEndpoint);
        let { name } = args;
        if (!name) {
            name = await (0, helpers_1.endpointName)();
        }
        // check if folder packages and playground exists in the current directory
        const isPackagesDirExists = await (0, utils_1.existsDirectory)("packages");
        const isPlaygroundDirExists = await (0, utils_1.existsDirectory)("playground");
        if (isPackagesDirExists && isPlaygroundDirExists) {
            await (0, endpoint_1.makeMethod)(name);
        }
        else {
            (0, utils_1.log)("Please run this command in the root directory of the SDK Integration Boilerplate!");
        }
        process.exit(0);
    }
}
exports.default = AddEndpoint;
AddEndpoint.description = "Create new endpoint boilerplate code";
AddEndpoint.examples = ["<%= config.bin %> <%= command.id %>"];
AddEndpoint.flags = {};
AddEndpoint.args = [
    {
        name: "name",
        description: "Name of the endpoint",
    },
];
