"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const core_1 = require("@oclif/core");
const i18next_1 = require("i18next");
const directory_1 = require("../../domains/generate/directory");
const project_name_1 = require("../../domains/generate/project-name");
const theme_1 = require("../../domains/generate/theme");
class GenerateTemplate extends core_1.Command {
    async run() {
        const { flags } = await this.parse(GenerateTemplate);
        const integrationPath = await (0, directory_1.getDirectory)((0, i18next_1.t)("command.generate_template.input.integration_path"));
        const projectName = await (0, project_name_1.getProjectName)((0, i18next_1.t)("command.generate_template.input.project_name"));
        const projectPath = path.join(flags.output, projectName);
        await (0, theme_1.inheritTheme)({
            projectPath,
            integrationPath,
        });
        this.log((0, i18next_1.t)("command.generate_template.message.success", {
            projectName: projectPath,
        }));
        this.exit(0);
    }
}
exports.default = GenerateTemplate;
_a = GenerateTemplate;
GenerateTemplate.description = (0, i18next_1.t)("command.generate_template.description");
GenerateTemplate.examples = ["<%= config.bin %> <%= command.id %>"];
GenerateTemplate.flags = {
    output: core_1.Flags.string({
        name: "output",
        default: ".",
        description: (0, i18next_1.t)("command.generate_template.flag.output"),
        required: false,
        multiple: false,
        parse: async (directory) => {
            return path.resolve(directory);
        },
    }),
};
GenerateTemplate.args = [];
