"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleFrameworkName = void 0;
const prompts_1 = require("@clack/prompts");
const utils_1 = require("../../../../utils");
const handleFrameworkName = async (framework) => {
    let frameworkName = framework;
    if (!frameworkName) {
        frameworkName = (await (0, prompts_1.select)({
            message: "What framework do you want to use?",
            options: [
                { label: "Nuxt", value: "nuxt" },
                { label: "Next", value: "next" },
            ],
        }));
        if ((0, prompts_1.isCancel)(frameworkName)) {
            (0, utils_1.log)("SDK integration boilerplate generation has been canceled!");
            process.exit(0);
        }
    }
    return frameworkName;
};
exports.handleFrameworkName = handleFrameworkName;
