"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIntegrationBoilerplate = void 0;
const prompts_1 = require("@clack/prompts");
const picocolors_1 = __importDefault(require("picocolors"));
const utils_1 = require("../../../utils");
const helpers_1 = require("./helpers");
const createIntegrationBoilerplate = async ({ projectDir, framework, }) => {
    const sp = (0, prompts_1.spinner)();
    (0, utils_1.log)(`Creating integration boilerplate in ${picocolors_1.default.green(projectDir)} directory${framework ? `, using ${picocolors_1.default.green(framework)} framework...` : ""}`);
    sp.start("Cloning integration boilerplate...");
    await (0, utils_1.cloneGitRepository)({
        projectDir,
        gitRepositoryURL: "https://github.com/vuestorefront/integration-boilerplate.git",
    });
    sp.stop("Integration boilerplate has been cloned successfully!");
    await (0, helpers_1.handleFrameworkClone)(projectDir, framework);
    await (0, helpers_1.removeUnwantedFiles)(projectDir);
    return projectDir;
};
exports.createIntegrationBoilerplate = createIntegrationBoilerplate;
