"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
const i18next_1 = require("i18next");
const inquirer_1 = __importDefault(require("inquirer"));
const existsDirectory_1 = __importDefault(require("./existsDirectory"));
/** Gets a directory from user input. */
const getDirectory = async (message) => {
    const answers = await inquirer_1.default.prompt({
        message,
        name: "directory",
        type: "input",
        default: "./",
        validate: async (directory) => {
            const exists = await (0, existsDirectory_1.default)(path.resolve(directory));
            if (!exists) {
                return (0, i18next_1.t)("domain.directory.was_not_found", {
                    directory,
                });
            }
            return true;
        },
    });
    return path.resolve(answers.directory);
};
exports.default = getDirectory;
