"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleProjectDiretoryExists = void 0;
const fs_1 = __importDefault(require("fs"));
const prompts_1 = require("@clack/prompts");
const i18next_1 = require("i18next");
const picocolors_1 = __importDefault(require("picocolors"));
const existsDirectory_1 = __importDefault(require("./existsDirectory"));
const terminalHelpers_1 = require("../magento2/functions/terminalHelpers");
const handleProjectDiretoryExists = async ({ projectName, projectDir, sp, }) => {
    if (await (0, existsDirectory_1.default)(projectDir)) {
        const overwrite = await (0, prompts_1.confirm)({
            message: (0, i18next_1.t)("command.generate_store.input.overwrite", {
                projectName,
            }),
        });
        if ((0, prompts_1.isCancel)(overwrite)) {
            (0, terminalHelpers_1.logSimpleWarningMessage)((0, i18next_1.t)("command.generate_store.message.canceled"));
            process.exit(0);
        }
        if (overwrite) {
            sp.start(picocolors_1.default.cyan((0, i18next_1.t)("command.generate_store.progress.delete_start")));
            await fs_1.default.rmdirSync(projectDir, { recursive: true });
            await fs_1.default.mkdirSync(projectDir);
            sp.stop(picocolors_1.default.green((0, i18next_1.t)("command.generate_store.progress.delete_end")));
        }
        if (!overwrite) {
            (0, terminalHelpers_1.logSimpleErrorMessage)((0, i18next_1.t)("command.generate_store.message.skipping"));
            process.exit(0);
        }
    }
};
exports.handleProjectDiretoryExists = handleProjectDiretoryExists;
