"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const isomorphic_git_1 = __importDefault(require("isomorphic-git"));
const validateGitRepositoryURL_1 = __importDefault(require("./validateGitRepositoryURL"));
/** Extracts a suggestion for git repository URL from error. */
const extractSuggestionFromError = async (error) => {
    if (error instanceof isomorphic_git_1.default.Errors.UnknownTransportError) {
        if (error.data.suggestion) {
            const valid = await (0, validateGitRepositoryURL_1.default)(error.data.suggestion);
            if (!valid)
                return error.data.suggestion;
        }
    }
    return null;
};
exports.default = extractSuggestionFromError;
