"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const isomorphic_git_1 = __importDefault(require("isomorphic-git"));
const node_1 = __importDefault(require("isomorphic-git/http/node"));
const error_1 = require("../error");
/** Validates received git repository URL by trying to get its remote info. */
const validateGitRepositoryURL = async (url) => {
    try {
        await isomorphic_git_1.default.getRemoteInfo2({
            url,
            http: node_1.default,
        });
        return null;
    }
    catch (error) {
        return (0, error_1.resolveToError)(error);
    }
};
exports.default = validateGitRepositoryURL;
