"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const execa_1 = __importDefault(require("execa"));
const checkExistingDockerContainers = async (magentoDirName = "server") => {
    const execaFunc = process.platform === "darwin"
        ? (0, execa_1.default)("docker", ["container", "ls", "--format", "{{.Names}}"])
        : (0, execa_1.default)("sudo", ["docker", "container", "ls", "--format", "{{.Names}}"]);
    const { stdout } = await execaFunc;
    const isExistingDockerContainers = stdout.includes(magentoDirName);
    return isExistingDockerContainers;
};
exports.default = checkExistingDockerContainers;
