"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const i18next_1 = require("i18next");
const terminalHelpers_1 = require("./terminalHelpers");
const checkNodeVersion = (nodeString) => {
    const nodeVersion = nodeString.split("v")[1]?.split(".")[0];
    const subNodeVersion = nodeString.split("v")[1]?.split(".")[1];
    if (Number(nodeVersion) === 16 && Number(subNodeVersion) >= 13) {
        return true;
    }
    return false;
};
/** Checking if Node version is correct as per prerequisites */
const checkNode = async (writeLog) => {
    const node = (0, child_process_1.spawn)("node", ["-v"]);
    return await new Promise((resolve) => {
        node.stdout.on("data", (data) => {
            writeLog(data.toString());
            if (!checkNodeVersion(data.toString())) {
                (0, terminalHelpers_1.logSimpleErrorMessage)((0, i18next_1.t)("command.generate_store.magento.node_not_ok"));
                process.exit(1);
            }
        });
        node.on("close", () => {
            writeLog((0, i18next_1.t)("command.generate_store.magento.node_ok"));
            (0, terminalHelpers_1.logSimpleSuccessMessage)((0, i18next_1.t)("command.generate_store.magento.node_ok"));
            resolve();
        });
    });
};
exports.default = checkNode;
