"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
const picocolors_1 = __importDefault(require("picocolors"));
const path_1 = __importDefault(require("path"));
const terminalHelpers_1 = require("./terminalHelpers");
const copyEnv = async (vsfDirName, magentoDomain) => {
    try {
        await fs_1.default.copyFileSync(path_1.default.join(vsfDirName, ".env.example"), path_1.default.join(vsfDirName, ".env"));
        if (magentoDomain) {
            const envFile = await fs_1.default.readFileSync(path_1.default.join(vsfDirName, ".env"), "utf8");
            const result = envFile.replace(/{YOUR_SITE_FRONT_URL}/g, magentoDomain.replace(/\/$/, ""));
            fs_1.default.writeFileSync(path_1.default.join(vsfDirName, ".env"), result, "utf8");
        }
    }
    catch (error) {
        (0, terminalHelpers_1.simpleLog)("No .env file available. Please check that your git repository is a valid Vue Storefront project", picocolors_1.default.red);
        process.exit(1);
    }
    fs_1.default.unlinkSync(path_1.default.join(vsfDirName, ".env.example"));
};
exports.default = copyEnv;
