"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.logSimpleInfoMessage = exports.logSimpleWarningMessage = exports.logSimpleErrorMessage = exports.logSimpleSuccessMessage = exports.simpleLog = void 0;
const picocolors_1 = __importDefault(require("picocolors"));
const prompts_1 = require("@clack/prompts");
function simpleLog(message, pc) {
    const sp = (0, prompts_1.spinner)();
    if (pc) {
        sp.start(pc(message));
        sp.stop(pc(message));
    }
    else {
        sp.start(message);
        sp.stop(message);
    }
}
exports.simpleLog = simpleLog;
function logSimpleSuccessMessage(message) {
    simpleLog(message, picocolors_1.default.green);
}
exports.logSimpleSuccessMessage = logSimpleSuccessMessage;
function logSimpleErrorMessage(message) {
    simpleLog(message, picocolors_1.default.red);
}
exports.logSimpleErrorMessage = logSimpleErrorMessage;
function logSimpleWarningMessage(message) {
    simpleLog(message, picocolors_1.default.yellow);
}
exports.logSimpleWarningMessage = logSimpleWarningMessage;
function logSimpleInfoMessage(message) {
    simpleLog(message, picocolors_1.default.cyan);
}
exports.logSimpleInfoMessage = logSimpleInfoMessage;
