"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const execa_1 = __importDefault(require("execa"));
const processMagicComments_1 = __importDefault(require("./processMagicComments"));
const directory_1 = require("../directory");
const VSF_TU_CONFIG_FILENAME = "theme-utils.config.js";
const NUXT_CONFIG_FILENAME = "nuxt.config.js";
const inheritTheme = async (options) => {
    const { integrationPath, projectPath } = options;
    const configPath = path.join(integrationPath, VSF_TU_CONFIG_FILENAME);
    await fs.promises.writeFile(configPath, `module.exports = {
  copy: {
    to: '${projectPath}',
    from: [
      {
        path: '${path.join(integrationPath, "_theme")}',
        watch: false
      },
      {
        path: '${integrationPath}',
        ignore: ['generate-template.ts', 'theme-utils.config.js'],
        variables: {},
        watch: false
      }
    ]
  }
};
`);
    await (0, execa_1.default)(require.resolve("@vue-storefront/theme-utilities"), [
        "--config",
        configPath,
        "--output",
        projectPath,
    ]);
    await (0, directory_1.removeFileOrDirectory)(configPath);
    await (0, processMagicComments_1.default)(path.join(projectPath, NUXT_CONFIG_FILENAME));
    await (0, directory_1.removeFileOrDirectory)(path.join(projectPath, "_theme"));
};
exports.default = inheritTheme;
