"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkCommandAndSuggest = void 0;
const picocolors_1 = __importDefault(require("picocolors"));
const prompts_1 = require("@clack/prompts");
const isCloseEnough_1 = require("./isCloseEnough");
const log_1 = require("../log");
// eslint-disable-next-line consistent-return
const checkCommandAndSuggest = async ({ commands, commandArg, endpoint, self, }) => {
    const similarCommand = commands.find(({ command }) => (0, isCloseEnough_1.isCloseEnough)(commandArg, command));
    if (similarCommand) {
        const { command, Func } = similarCommand;
        (0, log_1.log)(`Command ${picocolors_1.default.cyan("add")} ${picocolors_1.default.yellow(commandArg)} does not exist. Did you mean ${picocolors_1.default.cyan("add")} ${picocolors_1.default.green(command)}?`);
        const shouldRunNewCommand = await (0, prompts_1.confirm)({
            message: `Do you want to run ${picocolors_1.default.green(command)} command?`,
        });
        if ((0, prompts_1.isCancel)(shouldRunNewCommand) || !shouldRunNewCommand) {
            (0, log_1.log)("Command was not created \nSee you next time!");
            process.exit(0);
        }
        if (shouldRunNewCommand) {
            const newCommand = new Func([endpoint], self.config);
            return newCommand.run();
        }
    }
    (0, log_1.log)(`Command ${picocolors_1.default.yellow(commandArg)} does not exist \n\nCommand list:`);
    commands.forEach(({ command }) => (0, log_1.log)(`- ${picocolors_1.default.cyan("add")} ${picocolors_1.default.green(command)}`));
    process.exit(0);
};
exports.checkCommandAndSuggest = checkCommandAndSuggest;
